Bug 73995 - [kdenetwork-devel] Does not work when installed with an umask of 077 and messes filesystem
[kdenetwork-devel] Does not work when installed with an umask of 077 and mess...
Product: Red Hat Linux
Classification: Retired
Component: kdenetwork (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-09-13 13:12 EDT by Enrico Scholz
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-02-14 08:59:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2002-09-13 13:12:19 EDT
Description of Problem:

Because this package contains unowned directories, they will be created
with the current umask. When having restrictive administrator settings
(umask 077) ordinary user will not have access to them and can not use
the package.

Another problem occurs when removing packages. Then orphaned directories
are remaining.

| $ rpm -qf /usr/include/kde /usr/include/kde/kmailIface.h
| file /usr/include/kde is not owned by any package
| kdenetwork-devel-3.0.3-1

IMO kdenetwork-devel should require the kdelibs-devel package which
provides /usr/include/kde.

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. umask 077
2. make sure that kdenetwork-devel is uninstalled completely
   (rm -rf /usr/include/kde)
3. rpm -U kdenetwork-devel-3.0.3-1.i386.rpm
4. ls -l /usr/include/kde
5. try to use the programs/scripts/libraries/data of the package as
   non-root user
6. rpm -e kdenetwork-devel-3.0.3-1

Actual Results:

* at 4:
  | drwx------    2 root     root         4096 Sep 13 18:37 /usr/include/kde
* files can not be found/read at 5 and
* /usr/include/kde still exists after 6.
Comment 1 Ngo Than 2003-02-14 08:59:31 EST
it's fixed in 3.1-2 or later.

Note You need to log in before you can comment on or make changes to this bug.